using System;
using System.Collections.Generic;
using System.IO;
using Microsoft.DirectX;
using Microsoft.DirectX.Direct3D;
using TDCG;
//css_reference Microsoft.DirectX.dll;
//css_reference Microsoft.DirectX.Direct3D.dll;
//css_reference Microsoft.DirectX.Direct3DX.dll;

namespace TDCG.Proportion
{
    public class cs_def_Model_B3_3 : IProportion
    {
        Dictionary<string, TPONode> nodes;
        public Dictionary<string, TPONode> Nodes { set { nodes = value; }}

        public void Execute()
        {
            TPONode node;

            node = nodes["W_LeftHips_Dummy"];
            node.Move(0.00F, -1.00F, 0.00F);

            node = nodes["W_LeftUpLeg"];
            node.Scale1(1.00F, 0.70F, 1.30F);

            node = nodes["W_LeftLeg"];
            node.Scale1(1.20F, 1.50F, 1.30F);

            node = nodes["W_RightHips_Dummy"];
            node.Move(0.00F, -1.00F, 0.00F);

            node = nodes["W_RightUpLeg"];
            node.Scale1(1.00F, 0.70F, 1.30F);

            node = nodes["W_RightLeg"];
            node.Scale1(1.20F, 1.50F, 1.30F);

            node = nodes["W_Spine_Dummy"];
            node.Scale1(0.90F, 1.00F, 1.00F);

            node = nodes["W_Spine1"];
            node.Scale1(0.70F, 1.00F, 1.00F);

            node = nodes["W_Spine2"];
            node.Scale1(0.70F, 1.00F, 1.00F);

            node = nodes["W_RightArm"];
            node.Scale1(1.00F, 1.40F, 1.40F);

            node = nodes["W_LeftArm"];
            node.Scale1(1.00F, 1.40F, 1.40F);

            node = nodes["Head"];
            node.Scale(0.80F, 0.90F, 0.80F);

            node = nodes["eyeline_sita_R"];
            node.Move(0.00F, 0.05F, -0.10F);

            node = nodes["eyeline_sita_L"];
            node.Move(0.00F, 0.05F, -0.10F);

            node = nodes["L_eyeline_oya_L"];
            node.Scale(1.00F, 0.60F, 1.00F);
            node.Move(0.00F, -0.15F, 0.00F);

            node = nodes["L_eyeline_2_R"];
            node.Scale(0.80F, 1.00F, 1.80F);

            node = nodes["R_eyeline_oya_R"];
            node.Scale(1.00F, 0.60F, 1.00F);
            node.Move(0.00F, -0.15F, 0.00F);

            node = nodes["R_eyeline_2_R"];
            node.Scale(0.80F, 1.00F, 1.80F);

            node = nodes["mayu_1_R"];
            node.Move(0.00F, -0.30F, 0.00F);

            node = nodes["mayu_1_L"];
            node.Move(0.00F, -0.30F, 0.00F);

            node = nodes["Me_Left"];
            node.Move(0.10F, 0.04F, 0.10F);

            node = nodes["Me_Right"];
            node.Move(-0.10F, 0.04F, 0.10F);
        }
    }
}
